package com.yanzhu.jh.trouble.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 质量整改对象 smz_ssp_problemmodify
 * 
 * @author JiangYuQi
 * @date 2023-07-28
 */
public class SmzSspProblemmodify extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 项目id */
    @Excel(name = "项目id")
    private Long projectId;

    /** 信息类型 */
    @Excel(name = "信息类型")
    private Long infoType;

    /** 拍摄位置 */
    @Excel(name = "拍摄位置")
    private String problemArea;

    /** 问题描述 */
    @Excel(name = "问题描述")
    private String workParts;

    /** 整改要求 */
    @Excel(name = "整改要求")
    private String changeInfo;

    /** 主送人姓名 */
    @Excel(name = "主送人姓名")
    private String lordSent;

    /** 主送人手机号 */
    @Excel(name = "主送人手机号")
    private String lordSentUser;

    /** 抄送人姓名 */
    @Excel(name = "抄送人姓名")
    private String copySend;

    /** 抄送人手机号 */
    @Excel(name = "抄送人手机号")
    private String copySendUser;

    /** 流程状态 */
    @Excel(name = "流程状态")
    private Long checkState;

    /** 留痕定位 */
    @Excel(name = "留痕定位")
    private String nickedArea;

    /** 留痕时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:ss")
    @Excel(name = "留痕时间", width = 30, dateFormat = "yyyy-MM-dd HH:ss")
    private Date nickedTime;

    /** 工程类型 */
    @Excel(name = "工程类型")
    private String projectType;

    /** 工序名称 */
    @Excel(name = "工序名称")
    private String processName;

    /** 工程名称 */
    @Excel(name = "工程名称")
    private String projectName;

    /** 留痕说明 */
    @Excel(name = "留痕说明")
    private String nickedInfo;

    @Override
    public String getCreateBy() {
        return createBy;
    }

    @Override
    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    private String createBy;
    /** 审核人 */
    @Excel(name = "审核人")
    private String checkUser;

    /** 审核人手机号 */
    @Excel(name = "审核人手机号")
    private String checkUserPhone;

    /** 删除状态 */
    @Excel(name = "删除状态")
    private Long isDel;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createUser;

    private String createUserName;

    /** 修改人 */
    @Excel(name = "修改人")
    private String updateUser;

    private String marksPicture;
    private String marksVideo;
    private String smarkUrl;

    private String dangerType;
    private String recheckSend;
    private String recheckSendUser;
    private Integer roleType;
    private String dangerTypeName;
    private String deptName;//检查单位
    private String vDel;
    private String flag;//整改超时标识

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setInfoType(Long infoType) 
    {
        this.infoType = infoType;
    }

    public Long getInfoType() 
    {
        return infoType;
    }
    public void setProblemArea(String problemArea) 
    {
        this.problemArea = problemArea;
    }

    public String getProblemArea() 
    {
        return problemArea;
    }
    public void setWorkParts(String workParts) 
    {
        this.workParts = workParts;
    }

    public String getWorkParts() 
    {
        return workParts;
    }
    public void setChangeInfo(String changeInfo) 
    {
        this.changeInfo = changeInfo;
    }

    public String getChangeInfo() 
    {
        return changeInfo;
    }
    public void setLordSent(String lordSent) 
    {
        this.lordSent = lordSent;
    }

    public String getLordSent() 
    {
        return lordSent;
    }
    public void setLordSentUser(String lordSentUser) 
    {
        this.lordSentUser = lordSentUser;
    }

    public String getLordSentUser() 
    {
        return lordSentUser;
    }
    public void setCopySend(String copySend) 
    {
        this.copySend = copySend;
    }

    public String getCopySend() 
    {
        return copySend;
    }
    public void setCopySendUser(String copySendUser) 
    {
        this.copySendUser = copySendUser;
    }

    public String getCopySendUser() 
    {
        return copySendUser;
    }
    public void setCheckState(Long checkState) 
    {
        this.checkState = checkState;
    }

    public Long getCheckState() 
    {
        return checkState;
    }
    public void setNickedArea(String nickedArea) 
    {
        this.nickedArea = nickedArea;
    }

    public String getNickedArea() 
    {
        return nickedArea;
    }
    public void setNickedTime(Date nickedTime) 
    {
        this.nickedTime = nickedTime;
    }

    public Date getNickedTime() 
    {
        return nickedTime;
    }
    public void setProjectType(String projectType) 
    {
        this.projectType = projectType;
    }

    public String getProjectType() 
    {
        return projectType;
    }
    public void setProcessName(String processName) 
    {
        this.processName = processName;
    }

    public String getProcessName() 
    {
        return processName;
    }
    public void setProjectName(String projectName) 
    {
        this.projectName = projectName;
    }

    public String getProjectName() 
    {
        return projectName;
    }
    public void setNickedInfo(String nickedInfo) 
    {
        this.nickedInfo = nickedInfo;
    }

    public String getNickedInfo() 
    {
        return nickedInfo;
    }
    public void setCheckUser(String checkUser) 
    {
        this.checkUser = checkUser;
    }

    public String getCheckUser() 
    {
        return checkUser;
    }
    public void setCheckUserPhone(String checkUserPhone) 
    {
        this.checkUserPhone = checkUserPhone;
    }

    public String getCheckUserPhone() 
    {
        return checkUserPhone;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }
    public void setCreateUser(String createUser) 
    {
        this.createUser = createUser;
    }

    public String getCreateUser() 
    {
        return createUser;
    }
    public void setUpdateUser(String updateUser) 
    {
        this.updateUser = updateUser;
    }

    public String getUpdateUser() 
    {
        return updateUser;
    }

    public String getMarksPicture() {
        return marksPicture;
    }

    public void setMarksPicture(String marksPicture) {
        this.marksPicture = marksPicture;
    }

    public String getMarksVideo() {
        return marksVideo;
    }

    public void setMarksVideo(String marksVideo) {
        this.marksVideo = marksVideo;
    }

    public String getSmarkUrl() {
        return smarkUrl;
    }

    public void setSmarkUrl(String smarkUrl) {
        this.smarkUrl = smarkUrl;
    }

    public String getDangerType() {
        return dangerType;
    }

    public void setDangerType(String dangerType) {
        this.dangerType = dangerType;
    }

    public String getRecheckSend() {
        return recheckSend;
    }

    public void setRecheckSend(String recheckSend) {
        this.recheckSend = recheckSend;
    }

    public String getRecheckSendUser() {
        return recheckSendUser;
    }

    public void setRecheckSendUser(String recheckSendUser) {
        this.recheckSendUser = recheckSendUser;
    }

    public Integer getRoleType() {
        return roleType;
    }

    public void setRoleType(Integer roleType) {
        this.roleType = roleType;
    }

    public String getvDel() {
        return vDel;
    }

    public void setvDel(String vDel) {
        this.vDel = vDel;
    }

    public String getDangerTypeName() {
        return dangerTypeName;
    }

    public void setDangerTypeName(String dangerTypeName) {
        this.dangerTypeName = dangerTypeName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    public String getFlag() {
        return flag;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("infoType", getInfoType())
            .append("problemArea", getProblemArea())
            .append("workParts", getWorkParts())
            .append("changeInfo", getChangeInfo())
            .append("lordSent", getLordSent())
            .append("lordSentUser", getLordSentUser())
            .append("copySend", getCopySend())
            .append("copySendUser", getCopySendUser())
            .append("checkState", getCheckState())
            .append("nickedArea", getNickedArea())
            .append("nickedTime", getNickedTime())
            .append("projectType", getProjectType())
            .append("processName", getProcessName())
            .append("projectName", getProjectName())
            .append("nickedInfo", getNickedInfo())
            .append("checkUser", getCheckUser())
            .append("checkUserPhone", getCheckUserPhone())
            .append("isDel", getIsDel())
            .append("createUser", getCreateUser())
            .append("createTime", getCreateTime())
            .append("updateUser", getUpdateUser())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
